aboutsummaryrefslogtreecommitdiff
path: root/git-ls-remote.sh
diff options
context:
space:
mode:
authorMichal Ostrowski <mostrows@watson.ibm.com>2006-01-20 13:38:16 -0500
committerJunio C Hamano <junkio@cox.net>2006-01-24 23:17:26 -0800
commit96b086d6181067e9c76f543aaddfc7fcfd02649c (patch)
tree5184680b7800523efcd3a30910a369ba7ae9c2db /git-ls-remote.sh
parent2c620a1ad1dce1e249d66ce18c7b1cce22d5d64c (diff)
downloadgit-96b086d6181067e9c76f543aaddfc7fcfd02649c.tar.gz
git-96b086d6181067e9c76f543aaddfc7fcfd02649c.tar.xz
git-{fetch,peek-remote} handling of --upload-pack
git-peek-remote needs to handle a -u|--upload-pack parameter just like git-fetch (and git-fetch has to pass it on to git-peek-remote). (This is actually a follow-up to my previous git-fetch patch.) Signed-off-by: Michal Ostrowski <mostrows@heater.watson.ibm.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-ls-remote.sh')
-rwxr-xr-xgit-ls-remote.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/git-ls-remote.sh b/git-ls-remote.sh
index f69926862..2c9a588d2 100755
--- a/git-ls-remote.sh
+++ b/git-ls-remote.sh
@@ -2,7 +2,8 @@
#
usage () {
- echo >&2 "usage: $0 [--heads] [--tags] <repository> <refs>..."
+ echo >&2 "usage: $0 [--heads] [--tags] [-u|--upload-pack <upload-pack>]"
+ echo >&2 " <repository> <refs>..."
exit 1;
}
@@ -11,6 +12,7 @@ die () {
exit 1
}
+exec=
while case "$#" in 0) break;; esac
do
case "$1" in
@@ -18,6 +20,11 @@ do
heads=heads; shift ;;
-t|--t|--ta|--tag|--tags)
tags=tags; shift ;;
+ -u|--u|--up|--upl|--uploa|--upload|--upload-|--upload-p|--upload-pa|\
+ --upload-pac|--upload-pack)
+ shift
+ exec="--exec=$1"
+ shift;;
--)
shift; break ;;
-*)
@@ -66,7 +73,7 @@ rsync://* )
;;
* )
- git-peek-remote "$peek_repo" ||
+ git-peek-remote $exec "$peek_repo" ||
echo "failed slurping"
;;
esac |